<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/AVSCommon/AVS/test/Attachment/Common/Common.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_80711c2a226d5fced33fce22558d3784.html">AVS</a></li><li class="navelem"><a class="el" href="dir_17565a3651b6551653a4e14cb661c95c.html">test</a></li><li class="navelem"><a class="el" href="dir_d572fa3caec8a2b52e65599c67d7ac56.html">Attachment</a></li><li class="navelem"><a class="el" href="dir_9a3938996a9428cfc2382045181f30d3.html">Common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Common.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_a_v_s_common_2_a_v_s_2test_2_attachment_2_common_2_common_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_ATTACHMENT_COMMON_COMMON_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_ATTACHMENT_COMMON_COMMON_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_in_process_s_d_s_8h.html">AVSCommon/Utils/SDS/InProcessSDS.h</a>&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>avsCommon {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>avs {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae375e1caae02720fafb872b536111d37">   30</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae375e1caae02720fafb872b536111d37">TEST_ATTACHMENT_ID_STRING_ONE</a> = <span class="stringliteral">&quot;testAttachmentId_1&quot;</span>;</div><div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a9118f37cc76dd2df512d790cd8b9577a">   32</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a9118f37cc76dd2df512d790cd8b9577a">TEST_ATTACHMENT_ID_STRING_TWO</a> = <span class="stringliteral">&quot;testAttachmentId_2&quot;</span>;</div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5129e40074fb47a5fa0bf037411bbd59">   34</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5129e40074fb47a5fa0bf037411bbd59">TEST_ATTACHMENT_ID_STRING_THREE</a> = <span class="stringliteral">&quot;testAttachmentId_3&quot;</span>;</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a91ca3f8dd70ba74b1d527645a084faee">   36</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a91ca3f8dd70ba74b1d527645a084faee">TEST_SDS_BUFFER_SIZE_IN_BYTES</a> = 400;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae78e0575415480a85b84bf0a3eeacb33">   38</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae78e0575415480a85b84bf0a3eeacb33">TEST_SDS_PARTIAL_WRITE_AMOUNT_IN_BYTES</a> = 150;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a784cbe128c16d515c33066ecb8b69790">   40</a></span>&#160;<span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a784cbe128c16d515c33066ecb8b69790">TEST_SDS_PARTIAL_READ_AMOUNT_IN_BYTES</a> = 150;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;std::unique_ptr&lt;avsCommon::utils::sds::InProcessSDS&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5ef6994b97c5156a7d6f3d3843066a42">createSDS</a>(<span class="keywordtype">int</span> size);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;std::vector&lt;uint8_t&gt; <a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a993cec2fcb549bc0d284a723a00f43b0">createTestPattern</a>(<span class="keywordtype">int</span> size);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}  <span class="comment">// namespace avs</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}  <span class="comment">// namespace avsCommon</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_AVSCOMMON_AVS_TEST_ATTACHMENT_COMMON_COMMON_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a993cec2fcb549bc0d284a723a00f43b0"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a993cec2fcb549bc0d284a723a00f43b0">alexaClientSDK::avsCommon::avs::test::createTestPattern</a></div><div class="ttdeci">std::vector&lt; uint8_t &gt; createTestPattern(int patternSize)</div><div class="ttdef"><b>Definition:</b> Common.cpp:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a5ef6994b97c5156a7d6f3d3843066a42"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5ef6994b97c5156a7d6f3d3843066a42">alexaClientSDK::avsCommon::avs::test::createSDS</a></div><div class="ttdeci">std::unique_ptr&lt; InProcessSDS &gt; createSDS(int desiredSize)</div><div class="ttdef"><b>Definition:</b> Common.cpp:29</div></div>
<div class="ttc" id="_in_process_s_d_s_8h_html"><div class="ttname"><a href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_ae375e1caae02720fafb872b536111d37"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae375e1caae02720fafb872b536111d37">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_ONE</a></div><div class="ttdeci">static const std::string TEST_ATTACHMENT_ID_STRING_ONE</div><div class="ttdoc">A test AttachmentId string. </div><div class="ttdef"><b>Definition:</b> Common.h:30</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a91ca3f8dd70ba74b1d527645a084faee"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a91ca3f8dd70ba74b1d527645a084faee">alexaClientSDK::avsCommon::avs::test::TEST_SDS_BUFFER_SIZE_IN_BYTES</a></div><div class="ttdeci">static const int TEST_SDS_BUFFER_SIZE_IN_BYTES</div><div class="ttdoc">A test buffer size. </div><div class="ttdef"><b>Definition:</b> Common.h:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a9118f37cc76dd2df512d790cd8b9577a"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a9118f37cc76dd2df512d790cd8b9577a">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_TWO</a></div><div class="ttdeci">static const std::string TEST_ATTACHMENT_ID_STRING_TWO</div><div class="ttdoc">A second test AttachmentId string. </div><div class="ttdef"><b>Definition:</b> Common.h:32</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a784cbe128c16d515c33066ecb8b69790"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a784cbe128c16d515c33066ecb8b69790">alexaClientSDK::avsCommon::avs::test::TEST_SDS_PARTIAL_READ_AMOUNT_IN_BYTES</a></div><div class="ttdeci">static const int TEST_SDS_PARTIAL_READ_AMOUNT_IN_BYTES</div><div class="ttdoc">A test buffer read size. </div><div class="ttdef"><b>Definition:</b> Common.h:40</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_ae78e0575415480a85b84bf0a3eeacb33"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#ae78e0575415480a85b84bf0a3eeacb33">alexaClientSDK::avsCommon::avs::test::TEST_SDS_PARTIAL_WRITE_AMOUNT_IN_BYTES</a></div><div class="ttdeci">static const int TEST_SDS_PARTIAL_WRITE_AMOUNT_IN_BYTES</div><div class="ttdoc">A test buffer write size. </div><div class="ttdef"><b>Definition:</b> Common.h:38</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test_html_a5129e40074fb47a5fa0bf037411bbd59"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs_1_1test.html#a5129e40074fb47a5fa0bf037411bbd59">alexaClientSDK::avsCommon::avs::test::TEST_ATTACHMENT_ID_STRING_THREE</a></div><div class="ttdeci">static const std::string TEST_ATTACHMENT_ID_STRING_THREE</div><div class="ttdoc">A third test AttachmentId string. </div><div class="ttdef"><b>Definition:</b> Common.h:34</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
